Initiate Online Mortgage Lead
Initiate Online Mortgage Lead
Request Endpoint
https://test-api.tbcbank.ge/v1/online-mortgages/leadshttps://api.tbcbank.ge/v1/online-mortgages/leadsAuthorization
| Authorization Type | Description |
|---|---|
| Bearer Token | access-token should be added to Authorization header |
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| url (required) | string | url from which the lead generation was initiated |
| realEstateCode | string | real estate type code. The following values are allowed: |
| companyCode | string | code of building company (e.g m2, iBuild, etc.) |
| otherCompanyName | string | In case if company is different from the list provided by the TBC Bank, building company name should be passed in otherCompanyName parameter |
| propertyPrice | string | property price. format: 0.00 |
| propertyPriceCurrencyCode | string | property price currency (3 digit ISO code). The following values are allowed: GEL, USD, EUR |
| downPaymentAmount | number (decimal) | amount of down payment |
| downPaymentAmountCurrencyCode | string | down payment currency (3 digit ISO code). The following values are allowed: GEL, USD, EUR |
| termInMonths | number (integer) | loan term in months |
Request Sample
curl --location --request POST 'https://test-api.tbcbank.ge/v1/online-mortgages/leads' \
--header 'Authorization: Bearer 9UZbzYCGmGMFJjEkOH7oEf1F1bTF' \
--header 'Content-Type: application/json' \
--data-raw '{
"url":"http://my.ge/myhome/ka/pr/10872462/iyideba-mshenebare-bina",
"realEstateCode": "FLAT",
"companyCode": "M2",
"otherCompanyName": "",
"propertyPrice": 196200.00,
"propertyPriceCurrencyCode": "GEL",
"downPaymentAmount": 19620.00,
"downPaymentAmountCurrencyCode": "GEL",
"termInMonths": 120
}'Response Parameters
response contains location header with correspondins redirect URL and unique leadId of the initiated application.
Response Header
| Parameter | Type | Description |
|---|---|---|
| location | string (uri) | URI where the client should be redirected to continue application. |
Response Body
| Parameter | Type | Description |
|---|---|---|
| redirectUrl | string (url) | URI where the client should be redirected to continue application. |
| leadId | string (guid) | unique identifier of mortgage lead |
Response Sample
{
"redirectUrl": "https://testonlinemortgage.tbcbank.ge/calculator?leadId=8a8966b2-6782-4d7c-b160-8362481c24fb",
"leadId": "8a8966b2-6782-4d7c-b160-8362481c24fb"
}Error Response
In case of error, the standard response in problem JSON will be returned.
Details can be found at Error Code Description.
Recipe
Mortgage Loan Initiate Online Mortgage Lead
Open Recipe
Updated 14 days ago
